import { Meta, Canvas } from "@storybook/blocks";
import * as ComponentStories from "./my-software-overview.stories";

<Meta of={ComponentStories} name="Docs" />

# My Software Overview

## Translations for filters

```json
namespace: "my-software",
        language: "de-DE",
        translations: {
            filter: {
                favorites: {
                    label: "Favorites Only (translated)",
                },
                downloads: {
                    label: "With Downloads (translated)",
                },
                options: {
                    label: "With Options (translated)",
                },
                serviceagreements: {
                    label: "With Service Agreements (translated)",
                },
            },
            content: {
                isFav: {
                    column: "Fav",
                },
                name: {
                    column: "Produktname",
                },
                latestAvailableVersion: {
                    column: "Neueste verfügbare Version",
                    update: "Update",
                },
                serviceAgreementStatus: {
                    column: "Servicevereinbarung",
                    values: {
                        SERVICE_AGREEMENT_Inactive:
                            "keine aktive Servicevereinbarung",
                        SERVICE_AGREEMENT_Active: "Aktiv",
                    },
                },
                detailLink: {
                    column: "Details",
                },
            },
        }
```

<Canvas of={ComponentStories.Default}></Canvas>
